Bug 463309 - [LTC 6.0 FEAT] 201402:Report idle cycles to the HMC for dedicated processors
[LTC 6.0 FEAT] 201402:Report idle cycles to the HMC for dedicated processors
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
ppc64 All
high Severity high
: alpha
: 6.0
Assigned To: Kevin W Monroe
Martin Jenner
: FutureFeature
Depends On:
Blocks: 356741 525727
  Show dependency treegraph
Reported: 2008-09-22 17:10 EDT by IBM Bug Proxy
Modified: 2009-09-25 10:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-23 17:04:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-22 17:10:43 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:27 EDT
1. Feature Overview:
Feature Id:	[201402]
a. Name of Feature:	Report idle cycles to the HMC for dedicated processors
b. Feature Description
The HMC (Hardware Management Console) and IVM (Integrated Virtualization Manager) currently has a
display of all the partitions and for shared processor partitions it displays the CPU.  What they
want to display is dedicated processor CPU utilization but without the support from the OS to report
idle cycles the CPU will be reported at 100%.

Additional Comments:	Initially accepted into 5.3 https://bugzilla.redhat.com/show_bug.cgi?id=439516
As of 9/11/2008, this is in MODIFIED state.

2. Feature Details:
Sponsor:	PPC - P

Arch Specificity: Purely Arch Specific Code
Affects Core Kernel: Yes
Delivery Mechanism: Direct from community
Category:	Kernel
Request Type:	Kernel - Enhancement from IBM
d. Upstream Acceptance:	Accepted
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.26

3. Business Case
This is needed for customers that manage the overall performance of the system.  This features
allows accurate reporting of CPU idle times and allows customers to make energy management decisions
based on this data

4. Primary contact at Red Hat: 
John Jarvis

5. Primary contacts at Partner:
Project Management Contact:
Michael Hohnbaum, hbaum@us.ibm.com, 503-578-5486

Technical contact(s):
Tony Breeds, tbreeds@au1.ibm.com
Paul Mackerras, pmac@au1.ibm.com

IBM Manager:
Pat Gaughen, gaughen@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 11:28:38 EDT
As it's in 2.6.26, and RHEL 6 will use a later kernel, this shouldn't be an issue.

The feature requested has already been accepted into the upstream code base
planned for the next major release of Red Hat Enterprise Linux.

When the next milestone release of Red Hat Enterprise Linux 6 is available,
please verify that the feature requested is present and functioning as
Comment 2 IBM Bug Proxy 2009-03-02 16:12:16 EST
this is in 2.6.26
sha1 id: 96366a8d3f17ee964802378d4a1f51fda86f070e

Note You need to log in before you can comment on or make changes to this bug.